<!--- InactiveTaxForm				--->
<!--- Anton Gntsch, J.Li, D.Rpert	--->
<!--- Created: 2/2003				--->
<!--- Last update: 7/2003 by J. Li	--->

<!---
InactiveTaxForm is the central template for displaying inactive taxa in this application.
It is used for both displaying information
on a taxon and navigation through taxonomic hierarchies. The URL parameters name and reference
correspond to a potential taxon in the database and determin the 'focus' of the template. Almost
every user action such as adding or editing included taxa, synonyms, and factual data is linked
to this template.
--->

<cfinclude template="template_up.cfm">
<script language="javascript">

	function openMessageWindow1() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/Message.cfm?Mode=w&MessageIdLst=5004','mywindow','width=400,height=300,scrollbars=yes')
	}
	function openMessageWindow2() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/Message.cfm?Mode=w&MessageIdLst=5009','mywindow','width=400,height=300,scrollbars=yes')
	}
	function openMessageWindow3() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/Message.cfm?Mode=w&MessageIdLst=5118','mywindow','width=400,height=300,scrollbars=yes')
	}
	function openMessageWindow4() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/Message.cfm?Mode=w&MessageIdLst=5119','mywindow','width=400,height=300,scrollbars=yes')
	}
</script>

<!--- Database Interface: Retrieve data to populate central form --->
<!--- Information for the focussed potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneRef>
</cfstoredproc>
<cfstoredproc procedure="s_web_PT2Facts" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=s_PTFacts>
</cfstoredproc>
<!---get project module--->
<cfstoredproc procedure="s_web_GetProjectModules" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.project#>
	<cfprocresult name=PM>
</cfstoredproc>
<!--- Get Facts for one PT --->
<cfstoredproc procedure="s_web_OneNameAndCitation" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		<cfprocresult name=NomRef>
	</cfstoredproc>
<!--- Derive next higher rank --->
<cfstoredproc procedure="s_web_SuccRank" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#OnePT.RankId#>
	<cfprocresult name=NextRank>
</cfstoredproc>
<!--- Derive the complete path from this potential taxon to the root node --->
<cfstoredproc procedure="s_web_TraceTree" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=HigherTaxa>
</cfstoredproc>
<!--- Derive included taxa for this potential taxon --->
<cfstoredproc procedure="s_web_IncludedTaxa" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=IncludedTaxa>
</cfstoredproc>
<!--- Derive facts linked to the focussed potential taxon --->
<cfstoredproc procedure="s_web_PT2Facts" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Facts>
</cfstoredproc>
<!--- Derive distribution linked to the focussed potential taxon --->
<cfif session.project eq "EM">
	<cfstoredproc procedure="s_em_PT2Distribution" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=Distributions>
	</cfstoredproc>
</cfif>
<cfstoredproc procedure="s_web_GetConceptRel" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=ConceptRelation>
	</cfstoredproc>
<!--- Get all FactCategorys --->
<cfstoredproc procedure="s_web_GetFactCategory" datasource=#session.DSName#>
			<cfprocresult name=GetFacts>
</cfstoredproc>
<!--- Get all FactCategorys for one PT--->
<cfstoredproc procedure="s_web_PT2AllFactCategory" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocresult name=PT2AllFactCategory>
</cfstoredproc>
<!--- Get synonyms, basionym, and homonyms if focussed taxon is accepted and vice versa --->
<cfif (#OnePT.StatusId# eq 1)> <!--- Accepted or provisional--->
	<cfstoredproc procedure="s_web_Acc2Bas" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=Basionym>
	</cfstoredproc>
	<cfstoredproc procedure="s_web_Acc2Syn" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=Synonyms>
	</cfstoredproc>
	<cfstoredproc procedure="s_web_Acc2Hom" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=Homonyms>
	</cfstoredproc>
<cfelse> <!--- Synonym --->
	<cfstoredproc procedure="s_web_Syn2Acc" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=AcceptedTaxon>
	</cfstoredproc>	
</cfif>

<!--- Display central form for navigation through taxonomic tree --->
<table class="maintable">
	<!--- Section with information about this potential taxon --->  
	<tr bgcolor="#eeeea">
		<td width=120><strong>Taxonym:</strong></td>
		<cfoutput>
			<td width=440><b>#OnePT.FullNameCache#</b> sec. #OneRef.RefCache#</td>
			<cfif (#OnePT.StatusId# eq 1)>
				<cfif session.project eq "EM">
					<cfif (#s_PTFacts.recordcount# gt 0 or #IncludedTaxa.recordcount# gt 0 or #Synonyms.recordcount# gt 0 or #Distributions.recordcount# gt 0)> <!--- there are synonyms, included taxa or facts are connected to the accepted taxon --->
						<td><i><b><a onclick=openMessageWindow4()><u><font color="Blue">Del</font></u></a>&nbsp;&nbsp;
							<a href="#Application.EditorHome#Status/ReactivateConf.cfm?Name=#url.Name#&Ref=#url.Ref#&NewParent=-1">Reactivate</a>			
							</b></i>	
						</td>	
					<cfelse>	
						<td><i><b><a href="#Application.EditorHome#Names/DelAcc.cfm?Name=#URL.Name#&Ref=#URL.Ref#">Del</a>&nbsp;&nbsp;
							<a href="#Application.EditorHome#Status/ReactivateConf.cfm?Name=#url.Name#&Ref=#url.Ref#&NewParent=-1">Reactivate</a>		
						</td>
					</cfif>		
				<cfelse>
					<cfif (#s_PTFacts.recordcount# gt 0 or #IncludedTaxa.recordcount# gt 0 or #Synonyms.recordcount# gt 0)> <!--- there are synonyms, included taxa or facts are connected to the accepted taxon --->
						<td><i><b><a onclick=openMessageWindow4()><u><font color="Blue">Del</font></u></a>&nbsp;&nbsp;
							<a href="#Application.EditorHome#Status/ReactivateConf.cfm?Name=#url.Name#&Ref=#url.Ref#&NewParent=-1">Reactivate</a>			
							</b></i>	
						</td>	
					<cfelse>	
						<td><i><b><a href="#Application.EditorHome#Names/DelAcc.cfm?Name=#URL.Name#&Ref=#URL.Ref#">Del</a>&nbsp;&nbsp;
							<a href="#Application.EditorHome#Status/ReactivateConf.cfm?Name=#url.Name#&Ref=#url.Ref#&NewParent=-1">Reactivate</a>		
						</td>
					</cfif>
				</cfif>
			<cfelse>
				<td><i><b>
					<!---TempState is for indicating the state that reactivate an inactive symynym and link it to a new active accepted taxon.----> 
					<a href="#Application.EditorHome#Names/MoveSynonym.cfm?Name2=#AcceptedTaxon.PTNameFk#&Name=#url.Name#&Ref=#URL.Ref#&TempStatus=#OnePT.StatusId#&TempState=1">Reactivate</a>		
					</b></i>
				</td>
			</cfif>
		</cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<td>#OnePt.FullNomRefCache#</td>
			<td>&nbsp;</td>
		</cfoutput>  
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Rank:</strong></td>
		<cfoutput>
			<td>#OnePT.Rank#</td>
		</cfoutput>
		<td>&nbsp;</td>
	</tr>
	<!--- Higher taxa and status section --->
	<!--- Higher taxa --->
	<tr bgcolor="#eeeee">
		<td valign=top><strong>Taxonomy:</strong></td>
		<td>
		<cfoutput>
			<cfset Space = "">
			<cfif #HigherTaxa.recordcount# gt 1>
				<cfset first = 1>
				<cfloop query="HigherTaxa">
					<cfif #HigherTaxa.PTNameFk# neq #URL.Name#>
						#Space#
						<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
							#HigherTaxa.Rank#:&nbsp;#HigherTaxa.FullNameCache#
							<cfset Space = Space & "&nbsp;&nbsp;"><br>
						<cfelse>
							<cfif first neq 1>
								<a href="InactiveTaxForm.cfm?name=#HigherTaxa.PTNameFk#&ref=#HigherTaxa.PTRefFk#">#HigherTaxa.Rank#:&nbsp;#HigherTaxa.FullNameCache#</a>
								<cfset Space = Space & "&nbsp;&nbsp;"><br>
							<cfelse>
								#HigherTaxa.Rank#:&nbsp;#HigherTaxa.FullNameCache#
								<cfset Space = Space & "&nbsp;&nbsp;"><br>
								<cfset first=0>
							</cfif>
						</cfif>
					</cfif>
				</cfloop>
			<cfelse>
				&nbsp;
			</cfif>

		</cfoutput>
		</td>		
		<td>&nbsp;</td>
	</tr>
	
	<!--- Status --->
	<tr bgcolor="#eeeee">
		<td><strong>Status:</strong></td>
		<cfoutput>
			<cfif (#OnePT.DoubtfulFlag# eq "d")>
				<cfif (#OnePT.StatusId# eq 1) > 
					<td>#OnePT.Status# (preliminary)</td>
				<cfelse>
					<td>doubtful #OnePT.Status#</td>
				</cfif>
			<cfelse>
				<td>#OnePT.Status#</td>
			</cfif>
			<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfif session.project eq "EM">
				<cfif (#OnePT.StatusId# eq 1) and (#s_PTFacts.recordcount# gt 0 or #IncludedTaxa.recordcount# gt 0 or #Synonyms.recordcount# gt 0 or #Distributions.recordcount# gt 0)> <!--- there are synonyms, included taxa or facts are connected to the accepted taxon --->
						<td><i><b><a onclick=openMessageWindow3()><u><font color="Blue">Alter</font></u></a></b></i></td>	
					<cfelse>					
						<td width=40><i><b><a href="#Application.EditorHome#Status/StatusMenu.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempStatus=#OnePT.StatusId#">Alter</a></b></i></td>
					</cfif>
				<cfelse>
					<cfif (#OnePT.StatusId# eq 1) and (#s_PTFacts.recordcount# gt 0 or #IncludedTaxa.recordcount# gt 0 or #Synonyms.recordcount# gt 0)> <!--- there are synonyms, included taxa or facts are connected to the accepted taxon --->
						<td><i><b><a onclick=openMessageWindow1()><u><font color="Blue">Alter</font></u></a></b></i></td>	
					<cfelse>					
						<td width=40><i><b><a href="#Application.EditorHome#Status/StatusMenu.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempStatus=#OnePT.StatusId#">Alter</a></b></i></td>
					</cfif>
				</cfif>
			</cfif>
		</cfoutput>
	</tr>	
	<!--- State --->
	<tr bgcolor="#eeeee">
		<td><strong>State:</strong></td>
		<cfoutput>
			<cfif (#OnePT.DoubtfulFlag# eq "i")>
				<td>inactive</td>
			<cfelse>
				<td>active</td>
			</cfif>
		</cfoutput>
		<td>&nbsp;</td>
	</tr>
	<!--- Basionym section --->
	<cfif (#OnePT.StatusId# eq 1) > <!--- Focussed taxon is accepted or provisional --->
		<!--- Basionym --->
		<tr bgcolor="#eeeee">
			<td><strong>Basionym:</strong></td>
			<cfoutput>
				<cfif Basionym.recordcount eq 0> <!--- No basionym --->
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				<cfelse>
					<!--- it can not be edited.--->
					<td>#Basionym.FullNameCache#</td>
					<td>&nbsp;</td>
				</cfif>
			</cfoutput>
		</tr>
		<!--- Synonyms --->
		<cfset Header = 1>
		<cfloop query="Synonyms">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Synonym(s):</strong></td>
					<cfset Header = 0>
				<cfelse>
					<td>&nbsp;</td>	
				</cfif>
				<cfoutput>
					<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
						<cfif (#Synonyms.DoubtfulFlag# eq "d")>
							<td>#Synonyms.FullnameCache#&nbsp;[Doubtful #Synonyms.Status#]</td>
						<cfelse>
							<td>#Synonyms.FullnameCache#&nbsp;[#Synonyms.Status#]</td>
						</cfif>
					<td>&nbsp;</td>
					<cfelse>
						<cfif (#Synonyms.DoubtfulFlag# eq "d")>
							<td><a href="InactiveTaxForm.cfm?name=#Synonyms.PTNameFk#&ref=#Synonyms.PTRefFk#">#Synonyms.FullnameCache#&nbsp;[doubtful #Synonyms.Status#]</td>
						<cfelse>
							<td><a href="InactiveTaxForm.cfm?name=#Synonyms.PTNameFk#&ref=#Synonyms.PTRefFk#">#Synonyms.FullnameCache#&nbsp;[#Synonyms.Status#]</td>
						</cfif>
					<td><i><b><a href="#Application.EditorHome#Names/MoveSynonym.cfm?Name2=#URL.Name#&Name=#Synonyms.PTNameFk#&Ref=#URL.Ref#&TempStatus=#Synonyms.StatusId#&TempState=0">Move</a> <a href="#Application.EditorHome#Names/DelSynonym.cfm?Name2=#URL.Name#&Name=#Synonyms.PTNameFk#&Ref=#URL.Ref#&TempStatus=#Synonyms.StatusId#">Del</a> <a href="#Application.EditorHome#Names/SetUnresolved.cfm?Name2=#URL.Name#&Name=#Synonyms.PTNameFk#&Ref=#URL.Ref#">Set unresolved</a></b></i></td>
					</cfif>
				</cfoutput>
			</tr>
		</cfloop>
		<cfif Header eq 1>
			<tr bgcolor="#eeeee">
				<td><strong>Synonym(s):</strong></td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
		<cfelse>
			<tr bgcolor="#eeeee">
				<cfoutput>
				<td>&nbsp;</td>
				<td><i><b><a href="#Application.EditorHome#Names/MoveAllSyn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempStatus=#Synonyms.StatusId#">move all</a> <a href="#Application.EditorHome#Names/DelAllSyn.cfm?Name=#URL.Name#&Ref=#URL.Ref#">delete all</a> <a href="#Application.EditorHome#Names/SetAllSynUnresolved.cfm?Name2=#URL.Name#&Ref=#URL.Ref#">set all unresolved</a></b></i></td>
				<td>&nbsp;</td>
				</cfoutput>
			</tr>
		</cfif>
		<!--- Homonyms --->
		<cfset Header = 1>
		<cfloop query="Homonyms">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Homonym(s):</strong></td>
					<cfset Header = 0>
				<cfelse>
					<td>&nbsp;</td>	
				</cfif>
				<!--- it can not be edited.--->
				<cfoutput>
					<td>#Homonyms.FullnameCache#</td>
					<td><i><b><a href="#Application.EditorHome#Names/DelBasHomHybParent.cfm?Name2=#url.name#&Name=#Homonyms.NameFk1#&Ref=#URL.Ref#">Del</a></b></i></td>
				</cfoutput>
			</tr>
		</cfloop>
		<cfif Header eq 1>
			<tr bgcolor="#eeeee">
				<td><strong>Homonym(s):</strong></td>
				<!---  it can not be edited.--->
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
		</cfif>
	<cfelse> <!--- Focussed taxon is a synonym, misapplied name, homonym etc. --->	
		<tr bgcolor="#eeeee">
			<td><strong>Accepted taxonym:</strong></td>
			<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfoutput>
					<td><a href="InactiveTaxForm.cfm?name=#AcceptedTaxon.PTNameFk#&ref=#AcceptedTaxon.PTRefFk#">#AcceptedTaxon.FullnameCache#</a></td>
				</cfoutput>
			</cfif>
			<td>&nbsp;</td>
		</tr>	
	</cfif>
	<!--- Included taxa section --->
	<cfif (OnePt.StatusId eq 1)  and (OnePt.RankId lt 65)> 
		<cfset Header = 1>
		<cfloop query="IncludedTaxa">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Included taxa:</strong></td>       
					<cfset Header = 0>
				<cfelse> 
					<td>&nbsp;</td>
				</cfif>
				<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
					<cfoutput>
						<td><a href="InactiveTaxForm.cfm?name=#IncludedTaxa.PTNameFk1#&ref=#IncludedTaxa.PTRefFk1#">#IncludedTaxa.RankAbbrev#:&nbsp;#IncludedTaxa.FullNameCache#</a></td>
						<td>&nbsp;</td>
					</cfoutput>
				<cfelse>
					<cfoutput>
						<td><a href="InactiveTaxForm.cfm?name=#IncludedTaxa.PTNameFk1#&ref=#IncludedTaxa.PTRefFk1#">#IncludedTaxa.RankAbbrev#:&nbsp;#IncludedTaxa.FullNameCache#</a></td>
						<td width=40><i><b><a href="#Application.EditorHome#Names/UnlinkInactiveTaxa.cfm?Name2=#Url.Name#&Name=#IncludedTaxa.PTNameFk1#&Ref=#URL.Ref#">Unlink</a></b></i></td>
					</cfoutput>
				</cfif>
			</tr>
		</cfloop>
		<tr bgcolor="#eeeee">
			<cfif Header is 1>
				<td><strong>Included taxa:</strong></td>				
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<cfif IncludedTaxa.recordcount neq 0>
				<cfoutput><td><i><b><a href="#Application.EditorHome#Names/UnlinkAllInactiveTaxa.cfm?Name=#Url.Name#&Ref=#URL.Ref#">unlink all</a></b></i></td></cfoutput>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<td>&nbsp;</td>
		</tr>
	</cfif>
	<!---PTaxon Notes--->
	<cfif (OnePt.StatusId eq 1)>
		<tr bgcolor="#eeeee">
			<td><strong>Taxon notes:</strong></td>
			<cfoutput>
				<cfif OnePT.Notes eq "">
					<td>&nbsp;</td>
					<td><i><b><a href="#Application.EditorHome#Names/EditPTaxonNotes.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2">Edit</a></b></i></td>
				<cfelse>
					<cfif #Len("#OnePT.subPTaxonNotes#")# lt 39>
						<cfset PTNote = #OnePT.subPTaxonNotes#>
						<cfelse>
							<cfset PTNote = "#OnePT.subPTaxonNotes#...">
						</cfif>
						<td><a href="#Application.EditorHome#Names/EditPTaxonNotes.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2">#PTNote#</a></td>
						<td>&nbsp;</td>
				</cfif>
			</cfoutput>
		</tr>
	</cfif>
	<!--- Linked factual data section for accepted taxa only --->
	<cfif (OnePt.StatusId eq 1)>	
		<!--- split the interface table into two parts--->
		<tr></tr>
		<tr></tr>
		<!--- Description only for genera and below --->
		<cfif (OnePT.RankId gte 40)>
			<cfoutput>
				<cfloop query="GetFacts" startrow="1" endrow="1">
					<cfstoredproc procedure="s_web_GetMaxFactNumber" datasource=#session.DSName#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
						<cfprocresult name=MaxFactNumber>
					</cfstoredproc>
					<cfif MaxFactNumber gt 0>
						<tr bgcolor="##eeeee">
						<cfset lenrest = #Len("#GetFacts.FactCategory#")# - 1>
						<td><strong>#Left("#UCase("#GetFacts.FactCategory#")#","1")##Right("#GetFacts.FactCategory#","#lenrest#")#</strong></td>
						<!--- Get All Facts for a given Categroy and one PT --->
						<cfstoredproc procedure="s_web_PT2Facts2" datasource=#session.DSName#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
							<cfprocresult name=Facts2>
						</cfstoredproc>
						<cfif #Facts2.recordcount# eq 0>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						<cfelse>
							<cfset zaehler = 1>
							<cfloop query="Facts2">
								<cfif #Len("#Fact#")# lt 39>
									<cfset Fact2 = #Fact#>
								<cfelse>
									<cfset Fact2 = "#Fact#...">
								</cfif>
								<td>
									<cfstoredproc procedure="s_web_OneFactAndCitation" datasource=#session.DSName#>
										<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#FactId#>
										<cfprocresult name=FactCit>
									</cfstoredproc>
									#Fact2#
								</td>
								<td>
									<cfif #FactCit.RefCategoryId# gt 0>
										<a href="#Application.EditorHome#Facts/MoveFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><i><b>Move</b></i></a>&nbsp;<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><i><b>Del</b></i></a>
									<cfelse>
										<a href="#Application.EditorHome#Facts/MoveFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><i><b>Move</b></i></a>&nbsp;<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#"><i><b>Del</b></i></a>
									</cfif>
								</td>
								<cfif #Facts2.recordcount# gt 1 AND #zaehler# lt #Facts2.recordcount#>
							</tr>
							<tr bgcolor="##eeeee">
							<td>&nbsp;</td>
						</cfif>
						<cfset zaehler = zaehler + 1>
						</cfloop>
					</cfif>
				</tr>
			</cfif>
		</cfloop>
		</cfoutput>
	</cfif>
		
	<!--- Facts for species and below --->
	<cfif (OnePT.RankId gte 60)>
		<cfoutput>
		<cfloop query="GetFacts" startrow="2">
			<cfstoredproc procedure="s_web_GetMaxFactNumber" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
				<cfprocresult name=MaxFactNumber>
			</cfstoredproc>
			<cfif MaxFactNumber gt 0>
				<tr bgcolor="##eeeee">
				<cfset lenrest = #Len("#GetFacts.FactCategory#")# - 1>
				<td><strong>#Left("#UCase("#GetFacts.FactCategory#")#","1")##Right("#GetFacts.FactCategory#","#lenrest#")#</strong></td>
				<!--- Get All Facts for a given Categroy and one PT --->
				<cfstoredproc procedure="s_web_PT2Facts2" datasource=#session.DSName#>
					<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
					<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
					<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
					<cfprocresult name=Facts2>
				</cfstoredproc>
				<cfif #Facts2.recordcount# eq 0>				
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				<cfelse>
					<cfset zaehler = 1>
					<cfloop query="Facts2">
						<cfif #Len("#Fact#")# lt 39>
							<cfset Fact2 = #Fact#>
						<cfelse>
							<cfset Fact2 = "#Fact#...">
						</cfif>
						<td>
							<cfstoredproc procedure="s_web_OneFactAndCitation" datasource=#session.DSName#>
								<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#FactId#>
								<cfprocresult name=FactCit>
							</cfstoredproc>
							#Fact2#
						</td>
						<td>
							<cfif #FactCit.RefCategoryId# gt 0>
								<a href="#Application.EditorHome#Facts/MoveFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><i><b>Move</b></i></a>&nbsp;<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><i><b>Del</b></i></a>
							<cfelse>
								<a href="#Application.EditorHome#Facts/MoveFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#"><i><b>Move</b></i></a>&nbsp;<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#"><i><b>Del</b></i></a>
							</cfif>
						</td>
						<cfif #Facts2.recordcount# gt 1 AND #zaehler# lt #Facts2.recordcount#>
							</tr>
							<tr bgcolor="##eeeee">
							<td>&nbsp;</td>
						</cfif>
						<cfset zaehler = zaehler + 1>
					</cfloop>
				</cfif>
				</tr>	
			</cfif>
		</cfloop>					
		<tr bgcolor="##eeeee">
			<td>&nbsp;</td>
			<cfif #PT2AllFactCategory.recordcount# neq 0>
				<td><a href="#Application.EditorHome#Facts/MoveAllFacts.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1"><i><b>move all</b></i></a>&nbsp;<a href="#Application.EditorHome#Facts/DelAllFacts.cfm?Name=#URL.Name#&Ref=#URL.Ref#"><i><b>delete all</b></i></a></td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<td>&nbsp;</td>
			</tr>
		</cfoutput>
	</cfif> 
	<!--- Distribution always exists in EM, but not in Salvador--->
	<!--- Geography info according to project--->	
		<cfloop query="PM">
			<tr bgcolor="#eeeee">
				<cfoutput>
				<td><strong>#PM.ModuleLabel#</strong></td>
				<td>&nbsp;</td>
				
					<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
						<td>&nbsp;</td>
					<cfelse>
						<td>
							<a href="#Application.EditorHome#Facts/#PM.targetFile#?Name=#URL.Name#&Ref=#URL.Ref#"><i><b>Edit</b></i></a>
						</td>
					</cfif>
				</cfoutput>
			</tr>
		</cfloop>
	<cfif session.project eq "EM">
		<tr bgcolor="#eeeee">
			<td><strong>Distribution</strong></td>
			<cfoutput>
				<td><a href="#Application.EditorHome#Facts/ViewDistribution.cfm?Name=#URL.Name#&Ref=#URL.Ref#"><i><b>View</b></i></a></td>
				<td><a href="#Application.EditorHome#Facts/MoveAllOccurrences.cfm?Name=#URL.Name#&Ref=#URL.Ref#"><i><b>Move</b></i></a>
					&nbsp;<a href="#Application.EditorHome#Facts/DelAllOccurrences.cfm?Name=#URL.Name#&Ref=#URL.Ref#"><i><b>Del</b></i></a>
				</td>
			</cfoutput>
		</tr> 
	</cfif>
</cfif>
	
</table>

<cfinclude template="template_down.cfm">
