// Class: BotName
// Author: Anton Gntsch
// Created 8-2001
// Modified 8-2001

// This class contains some static functions typically needed for name parsing etc. in the
// botanic information processing. It is used by the classes BotName and AuthorString for example.

public class CommonStuff {

  // Check whether the given string contains spaces
  public static boolean ContainsSpaces(String Arg) {
    if (Arg.indexOf(" ") != -1) {
      return (true);
    } else {
      return (false);
    }
  }

  // checks whether the given string contains chars considered to be invalid. The Type
  // argument determines the set of invalid characters.
  public static boolean ContainsStrangeChars(String Arg, String ArgType) {
    String StrangeChars;
    int i;
    boolean Result;

    if (ArgType == "Authors") {
      StrangeChars = "%/()?[]{}*+~#'-_:;<>@";
    } else if (ArgType == "LatinName") {
      StrangeChars = "%&/()?[]{}*+~#'-_:.,;<>@";
    } else {
      StrangeChars = "";
    }
    Result = false;
    for (i=0; i<=Arg.length()-2; i++) {
      if (StrangeChars.indexOf(Arg.substring(i, i+1)) > 0) {
        Result = true;
      }
    }
    return(Result);
  }

  // Check whether each comma within the given string is followed by a white space
  public static boolean CommaSpaceOK(String Arg) {
    int i;
    boolean Result;

    Result = true;
    for (i=0; i<=Arg.length()-2; i++) {
      if ((Arg.charAt(i) == ',') && (Arg.charAt(i+1) != ' ')) {
        Result = false;
      }
    }
    return(Result);
  }

  // Check whether there is s superfluous space before a comma
  public static boolean SpaceCommaOK(String Arg) {
    int i;
    boolean Result;

    Result = true;
    for (i=1; i<=Arg.length()-1; i++) {
      if ((Arg.charAt(i) == ',') && (Arg.charAt(i-1) == ' ')) {
        Result = false;
      }
    }
    return(Result);
  }

  // Check whether each ampersand within the given string is preceeded and followed by
  // a white space.
  public static boolean AmpersandSpaceOK(String Arg) {
    int i;
    boolean Result;

    Result = true;
    for (i=1; i<=Arg.length()-2; i++) {
      if ((Arg.charAt(i) == '&') && ((Arg.charAt(i+1) != ' ') || (Arg.charAt(i-1) != ' '))) {
        Result = false;
      }
    }
    return(Result);
  }

  // Check whether each "-" within the given string is preceeded and followed by
  // a white space.
  public static boolean hyphenminusSpaceOK(String Arg) {
    int i;
    boolean Result;

    Result = true;
    for (i=1; i<=Arg.length()-2; i++) {
      if ((Arg.charAt(i) == '-') && ((Arg.charAt(i+1) != ' ') || (Arg.charAt(i-1) != ' '))) {
        Result = false;
      }
    }
    return(Result);
  }
  // Check whether the given string is empty
  public static boolean IsEmpty(String Arg) {
    boolean Result;

    if (Arg.length() == 0) {
       Result = true;
    } else {
       Result = false;
    }
    return(Result);
  }

  // Check whether given string consists of a possibly empty sequence of lower
  // case characters.
  public static boolean IsAllLowerCase(String Arg) {
    String Str=new String(Arg);

    if (Arg.equals(Str.toLowerCase())) {
      return(true);
    } else {
      return(false);
    }
  }

  // Check whether the given string starts with an upper case charcter followed
  // by a possibly empty sequence of lower case characters.
  public static boolean HasFirstUpperCase(String Arg) {
    String StrRight;
    char FirstChar;

    FirstChar = Arg.charAt(0);
    if (Arg.length() > 1) {
      StrRight = Arg.substring(1, Arg.length());
    } else {
      StrRight = "";
    }
    if (Character.isUpperCase(FirstChar) && IsAllLowerCase(StrRight)) {
      return(true);
    } else {
      return (false);
    }
  }

  // Add a new string (message) to the already existing ListOfMessages (| - separated)
  public static String AddMessage(String ListOfMessages, String OneMessage) {
    String Result;

    if (!(CommonStuff.IsEmpty(OneMessage))) {
      if (!(CommonStuff.IsEmpty(ListOfMessages))) {
         Result = ListOfMessages + "|" + OneMessage;
      } else {
        Result = OneMessage;
      }
    } else {
      Result = ListOfMessages;
    }
    return(Result);
  }

} // Class CommonStuff