// Class: Nomencl_citation
/* Author: J.Li
 Created 2-2002
*/

/* This class is intended to be called by a user interface (e.g. ColdFusion form to
check the fields of a citation as entered by a user for correctness. The fields
correspond to the datastructure of the editor backbone database. It needs to be further
discussed about the citation rules.
*/

import java.util.*;

 public class NomenclaCitation
{
 // private String CitBPTitle = "";
  private String CitYear = "";
  private String  CitVol = "";
  private String  CitPages = "";

  // constructor
  public NomenclaCitation(String AllArguments)
  {

    StringTokenizer StAllArguments = new StringTokenizer(AllArguments, "|=");
    String OneToken;
    int EqIndex;
    String ArgName;
    String ArgValue;
    String MoveNext;

    while (StAllArguments.hasMoreTokens())
    {
          ArgName = StAllArguments.nextToken();

         /* if (ArgName.equals("CitBPTitle")) {
            CitBPTitle = StAllArguments.nextToken();
          }*/

          if (ArgName.equals("CitYear")) {
            CitYear = StAllArguments.nextToken();
          }
          if (ArgName.equals("CitVol")) {
            CitVol = StAllArguments.nextToken();
          }
          if (ArgName.equals("CitPages")) {
            CitPages = StAllArguments.nextToken();
          }
      }
  }

  public String checkAll()
  {

     String Messages = "";

      Messages = CommonStuff.AddMessage(Messages, checkYear(CitYear));
      Messages = CommonStuff.AddMessage(Messages, checkVolume(CitVol));
       Messages = CommonStuff.AddMessage(Messages, checkPage(CitPages));

      return Messages;
  }
  // Some methods to check the year field's syntax

  private String checkYear(String year)
  {
    String Messages = "";



    if (CommonStuff.IsEmpty(year))
    {
      Messages = CommonStuff.AddMessage(Messages, "38");

    }
     if ( CommonStuff.hyphenminusSpaceOK(year)== false)
    {
       Messages = CommonStuff.AddMessage(Messages, "39");

    }
      return Messages;
  }

  private String checkVolume(String volume)
  {
     String Messages = "";
    if (CommonStuff.CommaSpaceOK(volume)== false)
    {
       Messages = CommonStuff.AddMessage(Messages, "40");

    }
    if (CommonStuff.SpaceCommaOK(volume)== false)
    {
       Messages = CommonStuff.AddMessage(Messages, "41");
    }
    if (CommonStuff.IsAllLowerCase(volume)== false)
    {
      Messages = CommonStuff.AddMessage(Messages, "42");
    }


    return Messages;
  }

  private String checkPage(String page)
  {
     String Messages = "";
    if (CommonStuff.IsEmpty(page))
    {
       Messages = CommonStuff.AddMessage(Messages, "43");

    }
    else if ( CommonStuff.AmpersandSpaceOK(page)== false)
    {
       Messages = CommonStuff.AddMessage(Messages, "44");

    }
    return Messages;
  }




}// Class Nomencl_citation