<!--- Search for higher taxa    --->
<!--- M. Geoffroy			    --->
<!--- Created: 7/2003		    --->
<!---Updated by:J. Li	7/2003	--->
<!---
Search for records in the ptaxon table which belong to the given reference (URL.Ref) and where
the given accepted taxonname (URL.Name) can be taxonomically included in. Use an additional 
selectbox to specify the field to be searched. The "*" charcacter within search strings 
is replaced by "%" to be compliant with ANSI SQL.
--->

<cfinclude template="../template_up.cfm">
	<script language="JavaScript">

		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>

<!--- Create session variables if not already existing --->
<cfparam name="session.Where" default="">
<cfparam name="session.SearchString" default="">
<cfparam name="session.BackFromSearchHigherTaxon" default="">
<!--- Call stored procedure to get information on focused taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#Session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#Session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneReference>
</cfstoredproc>
<!--- Action: Submit Query and display hits with links to the new focus --->
<cfif cgi.request_method is "post">
<!--- Save form field data into session variables ... --->
	<cfif form.TheButton neq "Home" and form.TheButton neq "NewSearch">
		<!--- Call stored procedure to search for higher taxa --->
		<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
		<cfstoredproc procedure="s_web_SearchHigherTaxon" datasource=#Session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
			<cfprocresult name=Hits>
		</cfstoredproc>
		<!--- Display hits --->
		<table class="maintable">
			<!--- Title --->
			<tr bgcolor ="#eeeea">
				<td colspan="3">
						<cfoutput>
							<cfset HitsCount = (#Hits.RecordCount# -1)>
							<h3>#HitsCount# other allowed higher taxa with <br>
							<i>
								<cfswitch expression=#form.Where#>
									<cfcase value=1>Entire taxon name</cfcase>
									<cfcase value=2>Suprageneric name</cfcase>
									<cfcase value=3>Genus</cfcase>
									<cfcase value=4>Infrageneric epithet</cfcase>
									<cfcase value=5>Species epihtet</cfcase>
									<cfcase value=6>Infraspecific epithet</cfcase>
									<cfcase value=7>Unnamed NamePhrase</cfcase>
									<cfcase value=8>Cultivar Name</cfcase>
									<cfcase value=9>Cultivar GroupName</cfcase>
								</cfswitch>
								&nbsp;=&nbsp;
								#form.SearchString# <br>
							</i>
							</h3>
							for <b>#OnePT.FullNameCache# #OnePT.NamePhrase#</b><br>
							sec. <i>#OneReference.RefCache#</i>
						</cfoutput>
				</td>
			</tr>
	
			<!--- Header --->
			<tr bgcolor="#eeeee">
				<td><b>Full name</b></td>
				<td><b>Name phrase</b></td>
				<td><b>Rank</b></td>
			</tr>
			<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
				<input type="hidden" name="TheButton">
				<!--- Hits and links to new focus --->
				<cfoutput>
				<cfloop query="Hits">
					<cfif #Hits.NameId# neq #URL.Name1#>
						<tr bgcolor="##eeeee">
							<td>
								<a href="#application.EditorHome#Names/MoveTaxon.cfm?Name=#URL.Name#&Name1=#URL.Name1#&Name2=#Hits.NameId#&Ref=#URL.Ref#">#Hits.FullNameCache#</a>
							</td>
							<td>
								#Hits.NamePhrase#
							</td>
							<td>
								#Hits.Rank#
							</td>
						</tr>	
					</cfif>
				</cfloop>
				</cfoutput>
				<!--- Button: Back --->
				<tr bgcolor ="#eeeea">
					<td colspan="3">
						<input type="button" name="NewSearch" value="New search" onClick="ButtonAction('NewSearch')">
						<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
					</td>
				</tr>	
				<cfset session.SearchString = form.SearchString>
				<cfset session.Where = form.Where>
				<cfset session.BackFromSearchHigherTaxon = cgi.http_referer>
			</form>
		</table>
		</body>
	<cfelseif form.TheButton eq "Home">
		<cfstoredproc procedure="s_web_RootPTName" datasource=#Session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocresult name=RootPTName>
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#RootPTName.NameId#&Ref=#URL.Ref#" addtoken="no">
	
	<cfelse>
	<body bgcolor=FloralWhite onload="document.EM.SearchString.focus()";>
		<table align="center" width="600" cols="350,250">
			<!--- Define columns --->
			<colgroup>
				<col width=400>
				<col width=200>
			</colgroup>
		
			<!--- Title for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<cfoutput>	
						<h3>Search for other possible higher taxon for </h3>
						<b>#OnePT.FullNameCache# #OnePT.NamePhrase# </b><br>
						sec. <i>#OneReference.RefCache#</i>
					</cfoutput>
				</td>
			</tr>
		
			<!--- some explanations --->
			<tr bgcolor="#eeeee">
				<td>Name search (e.g. *inace*)</td>
				<td>Name part to be queried</td>
			</tr>
	
			<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
				<input type="hidden" name="TheButton">
				<!--- Form fields --->		
				<tr bgcolor="#eeeee">
					<td>
						<input type="text" name="SearchString" size="50">
					</td>
					<td>
						<select name=Where>
						<cfoutput>	
							<option value=1 selected>Entire taxon name
							<cfif #OnePT.RankId# lte 40>
								<option value=2>Suprageneric name
							</cfif>
							<cfif ((#OnePT.RankId# gt 42 and #OnePT.RankId# lt 65) or #OnePT.RankId# eq 98)>
								<option value=4>Infrageneric epithet
							</cfif>
							<cfif (#OnePT.RankId# gt 65 and #OnePT.RankId# neq 98)>
								<option value=6>Infraspecific epithet
							</cfif>
							<option value=7>Unnamed NamePhrase
							<cfif #OnePT.RankId# gt 40>
								<option value=8>Cultivar Name
								<option value=9>Cultivar GroupName
							</cfif>
						</cfoutput>
						</select>
					</td>
				</tr>
			
				<!--- Buttons for this form --->
				<tr bgcolor ="#eeeea">
					<td colspan="3">
						<input type="button" name="Search" value="Search" onClick="ButtonAction('Search')">
						<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
					</td>
				</tr>
			
			</form>
		</table>
		</body>
	</cfif>	
<cfelse>

	<table class="maintable">
		<!--- Define columns --->
		<colgroup>
			<col width=400>
			<col width=200>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfoutput>	
					<h3>Search for possible higher taxon for </h3>
					<b>#OnePT.FullNameCache# #OnePT.NamePhrase# </b><br>
					sec. <i>#OneReference.RefCache#</i>
				</cfoutput>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Name search (e.g. *inace*)</td>
			<td>Name part to be queried</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="50">
				</td>
				<td>
					<select name=Where>
					<cfoutput>	
						<option value=1 selected>Entire taxon name
						<cfif #OnePT.RankId# lte 40>
							<option value=2>Suprageneric name 
						</cfif>
						<cfif ((#OnePT.RankId# gt 42 and #OnePT.RankId# lt 65) or #OnePT.RankId# eq 98)>
							<option value=4>Infrageneric epithet
						</cfif>
						<cfif (#OnePT.RankId# gt 65 and #OnePT.RankId# neq 98)>
							<option value=6>Infraspecific epithet
						</cfif>
						<option value=7>Unnamed NamePhrase
						<cfif #OnePT.RankId# gt 40>
							<option value=8>Cultivar Name
							<option value=9>Cultivar GroupName
						</cfif>
					</cfoutput>
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					<input type="button" name="Search" value="Search" onClick="ButtonAction('Search')">
					<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
				</td>
			</tr>
		
		</form>
	</table>
	</body>
</cfif>

<cfinclude template="../template_down.cfm">