<!--- Search for taxa				    --->
<!--- Anton Gntsch, J. Li			    --->
<!--- Created: 7/2001				    --->
<!--- Last update: 8/2003 by M. Geoffroy		--->

<!---
1)Search for records in the name table which belong to the given reference (URL.Ref). Use
an additional selectbox to specify the field to be searched. The "*" charcacter within
serach strings is replaced by "%" to be compliant with ANSI SQL. The user may also in-
dicate whether active, inactive, or any taxon will be displayed.
2)Edit 'markers' for the searched PTaxons.
--->

<cfinclude template="../template_up.cfm">
	<script language="JavaScript">
		function SetHiddenPTMarker1() 
		{
			for (i=0;i<document.EM.PTMarker1.length;i++)
			{
				if (document.EM.PTMarker1[i].checked)
				{
					document.EM.HiddenPTMarker1[i].value = i;	
				} 
				else
				{
					document.EM.HiddenPTMarker1[i].value = -1;	
				}
			}
		}

		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>


<!--- Global marker information for the PTaxon table --->
<cfstoredproc procedure="s_web_GetTableMarkers" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=500>
	<cfprocresult name=Markers>
</cfstoredproc>

<!--- Create session variables if not already existing --->
<cfparam name="session.State" default="">
<cfparam name="session.Where" default="">
<cfparam name="session.SearchString" default="">
<cfparam name="session.HiddenPTMarker1" default=-1>
<cfparam name="session.BackFromSearchTaxon" default="">
<!--- Action: Submit Query and display hits with links to the new focus --->
<cfif cgi.request_method is "post">
<!--- Save form field data into session variables ... --->
	<cfif isdefined("form.HiddenPTMarker1")>
		<cfset session.HiddenPTMarker1 = form.HiddenPTMarker1>
	</cfif>
	
	<cfif form.TheButton neq "Apply" and form.TheButton neq "Home" and form.TheButton neq "NewSearch">
	<!--- Call stored procedure to search for taxon --->
	<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
	<cfstoredproc procedure="s_web_SearchTaxonName" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.State#>
		<cfprocresult name=Hits>
	</cfstoredproc>
	<!--- Display hits --->
	<table class="maintable">
		<!--- Title --->
		<tr bgcolor ="#eeeea">
			<td colspan="5">
				<h3>
					<cfoutput>
						#Hits.RecordCount# hits for<br>
						<i>
							<cfswitch expression=#form.Where#>
								<cfcase value=1>Entire taxon name</cfcase>
								<cfcase value=2>Suprageneric name</cfcase>
								<cfcase value=3>Genus</cfcase>
								<cfcase value=4>Infrageneric epithet</cfcase>
								<cfcase value=5>Species epihtet</cfcase>
								<cfcase value=6>Infraspecific epithet</cfcase>
								<cfcase value=7>Unnamed NamePhrase</cfcase>
								<cfcase value=8>Cultivar Name</cfcase>
								<cfcase value=9>Cultivar GroupName</cfcase>
							</cfswitch>
							&nbsp;=&nbsp;
							#form.SearchString#
						</i>
					</cfoutput>
				</h3>
			</td>
		</tr>

		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>
			<td><b>Status</b></td>
			<td><b>State</b></td>
			<td align="center"><strong><cfoutput>#Markers.Marker#</cfoutput></strong></td>
		</tr>
	<form name=EM action="#cgi.script_name#" method="post">
	<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfset i = 0>	
		<!--- Hits and links to new focus --->
		<cfoutput>
		<cfloop query="Hits">
			<tr bgcolor="##eeeee">
				<td><cfif #Hits.DoubtfulFlag# eq 'i'>
						<a href="#application.EditorHome#InactiveTaxForm.cfm?Name=#Hits.NameId#&Ref=#URL.Ref#">#Hits.FullNameCache#</a>
					<cfelse>
						<a href="#application.EditorHome#TaxForm.cfm?Name=#Hits.NameId#&Ref=#URL.Ref#">#Hits.FullNameCache#</a>
					</cfif>
				</td>
				<td>#Hits.Rank#</td>
				<td>
					#Hits.Status#
					<cfif #Hits.DoubtfulFlag# eq 'd'>
						&nbsp;(?)
					</cfif>
				</td>
				<td>
					<cfif #Hits.DoubtfulFlag# eq 'i'>
						inactive
					<cfelse>
						active
					</cfif>
				</td>
			<!--- get Marker info for this Ptaxon--->
			<cfstoredproc procedure="s_web_OnePTMarker" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#Hits.NameId#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
				<cfprocresult name=OnePTMarker>
			</cfstoredproc>
		
			<cfset Marker1 = 0>
			
			<cfif #OnePTMarker.RecordCount# gt 0>
				<cfloop query="OnePTMarker">
					<cfif#OnePTMarker.MarkerCategoryFk# eq 1>
						<cfset Marker1 = #OnePTMarker.ActiveFlag#>
					</cfif>
				</cfloop>
			</cfif>
				
			<cfif (#Marker1# eq 1)>
				<cfset session.HiddenPTMarker1 = #i#>
			<cfelse>
				<cfset session.HiddenPTMarker1 = -1>
			</cfif>
			<cfset session.SearchString = form.SearchString>
			<cfset session.Where = form.Where>
			<cfset session.State = form.State>
			<cfset session.BackFromSearchTaxon = cgi.http_referer>
			
			<td align="center">
				<input type="checkbox" name="PTMarker1" <cfif session.HiddenPTMarker1 eq #i#> checked </cfif> onClick="SetHiddenPTMarker1()"> 
				<input type="hidden" name="HiddenPTMarker1"<cfif session.HiddenPTMarker1 eq #i#> value=#i# <cfelse> value = -1 </cfif>>
			</td>
		</tr>	
		<cfset i = i + 1>
		</cfloop>
		</cfoutput>
		<!--- Button: Back --->
		<tr bgcolor ="#eeeea">
			<cfif #Hits.RecordCount# gt 0>
			<td colspan="4">
				<input type="button" name="NewSearch" value="New search" onClick="ButtonAction('NewSearch')">
				<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
			</td>
			<td colspan="1" align="center">
				<input type="button" name="Apply" value="Set Marker" onClick="ButtonAction('Apply')">
			</td>
			<cfelse>
			<td colspan="5">
				<input type="button" name="NewSearch" value="New search" onClick="ButtonAction('NewSearch')">
				<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
			</td>
			</cfif>
		</tr>	
	</form>
	</table>
	<cfelseif form.TheButton eq "Apply">
		<!--- Call stored procedure to search for taxon --->
		<cfset NewSearchString = #replace(#session.SearchString#, "*", "%", "all")#>
		<cfstoredproc procedure="s_web_SearchTaxonName" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#session.Where#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#session.State#>
			<cfprocresult name=Hits>
		</cfstoredproc>
		<cfif #Hits.RecordCount# gt 1>
			<!--- Create an array for the NameId--->
			<cfset GetNameId = ArrayNew(1)>
			<!--- Append elements to array GetNameId--->
			<cfloop query="Hits">
				<cfset temp = ArrayAppend(GetNameId,  "#Hits.NameId#")>
			</cfloop>
			<!--- Create an array for the HiddenPTMarker1 (since #form.HiddenPTMarker1# return a list of string)--->
			<cfset HiddenPTMarker1Array = #ListToArray(#form.HiddenPTMarker1#)#>
			<!--- Feed data into backbone database ... --->
			<cfloop from="1" to="#ArrayLen(GetNameId)#" index="i">
				<cfstoredproc procedure="s_web_UpdateOrInsertPTMarker" datasource="#session.DSName#">
					<!--- Submit name, reference--->
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value=#GetNameId[i]#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@PTRefFk" value=#url.ref#>
					<!--- Submit MarkerFlag --->
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@Marker1Flag" value=#HiddenPTMarker1Array[i]#>
				</cfstoredproc>
			</cfloop>	
		</cfif>
		<cfif #Hits.RecordCount# eq 1>
			<!--- Feed data into backbone database ... --->
			<cfstoredproc procedure="s_web_UpdateOrInsertPTMarker" datasource="#session.DSName#">
				<!--- Submit name, reference--->
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value=#Hits.NameId#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@PTRefFk" value=#url.ref#>
				<!--- Submit MarkerFlag --->
				<cfif isdefined("form.PTMarker1")>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@Marker1Flag" value=1>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@Marker1Flag" value=-1>
				</cfif>
			</cfstoredproc>
		</cfif>
		<!--- Display hits --->
		<table class="maintable">
			<!--- Title --->
		<tr bgcolor ="#eeeea">
			<td colspan="9">
				<h3>
					<cfoutput>
						#Hits.RecordCount# hits for<br>
						<i>
							<cfswitch expression=#session.Where#>
								<cfcase value=1>Entire taxon name</cfcase>
								<cfcase value=2>Suprageneric name</cfcase>
								<cfcase value=3>Genus</cfcase>
								<cfcase value=4>Infrageneric epithet</cfcase>
								<cfcase value=5>Species epihtet</cfcase>
								<cfcase value=6>Infraspecific epithet</cfcase>
								<cfcase value=7>Unnamed NamePhrase</cfcase>
								<cfcase value=8>Cultivar Name</cfcase>
								<cfcase value=9>Cultivar GroupName</cfcase>
							</cfswitch>
							&nbsp;=&nbsp;
							#session.SearchString#
						</i>
					</cfoutput>
				</h3>
			</td>
		</tr>

		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>
			<td><b>Status</b></td>
			<td><b>State</b></td>
			<td align="center"><strong><cfoutput>#Markers.Marker#</cfoutput></strong></td>
		</tr>
		<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfset i = 0>	
		<!--- Hits and links to new focus --->
		<cfoutput>
		<cfloop query="Hits">
			<tr bgcolor="##eeeee">
				<td><cfif #Hits.DoubtfulFlag# eq 'i'>
						<a href="#application.EditorHome#InactiveTaxForm.cfm?Name=#Hits.NameId#&Ref=#URL.Ref#">#Hits.FullNameCache#</a>
					<cfelse>
						<a href="#application.EditorHome#TaxForm.cfm?Name=#Hits.NameId#&Ref=#URL.Ref#">#Hits.FullNameCache#</a>
					</cfif>
				</td>
				<td>#Hits.Rank#</td>
				<td>
					#Hits.Status#
					<cfif #Hits.DoubtfulFlag# eq 'd'>
						&nbsp;(?)
					</cfif>
				</td>
				<td>
					<cfif #Hits.DoubtfulFlag# eq 'i'>
						inactive
					<cfelse>
						active
					</cfif>
				</td>
			<!--- get Marker info for this Ptaxon--->
			<cfstoredproc procedure="s_web_OnePTMarker" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#Hits.NameId#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
				<cfprocresult name=OnePTMarker>
			</cfstoredproc>
		
			<cfset Marker1 = 0>
			
			<cfif #OnePTMarker.RecordCount# gt 0>
				<cfloop query="OnePTMarker">
					<cfif#OnePTMarker.MarkerCategoryFk# eq 1>
						<cfset Marker1 = #OnePTMarker.ActiveFlag#>
					</cfif>
				</cfloop>
			</cfif>
		
			<cfif (#Marker1# eq 1)>
				<cfset session.HiddenPTMarker1 = #i#>
			<cfelse>
				<cfset session.HiddenPTMarker1 = -1>
			</cfif>
			<cfset session.BackFromSearchTaxon = cgi.http_referer>
			
			<td align="center">
				<input type="checkbox" name="PTMarker1" <cfif session.HiddenPTMarker1 eq #i#> checked </cfif> onClick="SetHiddenPTMarker1()"> 
				<input type="hidden" name="HiddenPTMarker1"<cfif session.HiddenPTMarker1 eq #i#> value=#i# <cfelse> value = -1 </cfif>>
			</td>
		</tr>	
		<cfset i = i + 1>
		</cfloop>
		</cfoutput>
		<!--- Button: Back --->
		<tr bgcolor ="#eeeea">
			<cfif #Hits.RecordCount# gt 0>
			<td colspan="4">
				<input type="button" name="NewSearch" value="New search" onClick="ButtonAction('NewSearch')">
				<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
			</td>
			<td colspan="1" align="center">
				<input type="button" name="Apply" value="Set Marker" onClick="ButtonAction('Apply')">
			</td>
			<cfelse>
			<td colspan="5">
				<input type="button" name="NewSearch" value="New search" onClick="ButtonAction('NewSearch')">
				<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
			</td>
			</cfif>
		</tr>	
		</form>
		</table>
	<cfelseif form.TheButton eq "Home">
		<cfstoredproc procedure="s_web_RootPTName" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocresult name=RootPTName>
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#RootPTName.NameId#&Ref=#URL.Ref#" addtoken="no">
	<cfelse>
		<cfif isdefined("form.HiddenPTMarker1")>
			<cfset session.HiddenPTMarker1 = form.HiddenPTMarker1>
		</cfif>
		<table class="maintable">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=200>
			<col width=50>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>Search for taxon assigned to your revision</h3>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Name search (e.g. *inace*)</td>
			<td>Name part to be queried</td>
			<td>State</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="50">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrase
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
				<td>
					<select name=State>
						<option value=-1 selected>any
						<option value=1>active
						<option value=0>inactive
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					<input type="button" name="Search" value="Search" onClick="ButtonAction('Search')">
					<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
				</td>
			</tr>
		
		</form>
		</table>
	</cfif>	
<cfelse>
	<table class="maintable">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=200>
			<col width=50>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>Search for taxon assigned to your revision</h3>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Name search (e.g. *inace*)</td>
			<td>Name part to be queried</td>
			<td>State</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="50">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrase
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
				<td>
					<select name=State>
						<option value=-1 selected>any
						<option value=1>active
						<option value=0>inactive
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					<input type="button" name="Search" value="Search" onClick="ButtonAction('Search')">
					<input type="button" name="Home" value="Home" onClick="ButtonAction('Home')">
				</td>
			</tr>
		
		</form>
	</table>

</cfif>

<cfinclude template="../template_down.cfm">