<!--- TaxForm								--->
<!--- Anton Gntsch, J.Li					--->
<!--- Created: 5/2001						--->
<!--- Update: 28/7/2003 by J. Li		--->
<!--- Last update: 4/2/2004 by M.Geoffroy		--->
<!---
TaxForm is the central template for this application. It is used for both displaying information
on a taxon and navigation through taxonomic hierarchies. The URL parameters name and reference
correspond to a potential taxon in the database and determin the 'focus' of the template. Almost
every user action such as adding or editing included taxa, synonyms, and factual data is linked
to this template.
--->
<cfinclude template="template_up.cfm">
<script language="javascript">
	function openNomRefCheckWindow() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/AddNomRefMessage.cfm', 'mywindow', 'width=550, height=180, scrollbars=yes')
	}
	
	function SetMarkerString() { 
		NewMarkerString = "";
		for (i=0;i<document.EM.PTMarker.length;i++)
		{
			if (document.EM.PTMarker[i].checked)
			{
				NewMarkerString = NewMarkerString + "Y";	
			} 
			else
			{
				NewMarkerString = NewMarkerString + "N";
			}
		} 
		document.EM.HiddenMarkerString.value = NewMarkerString;
	}

	<!--- Set TheButton field --->
	function ButtonAction(WhichButton) {
		document.EM.TheButton.value = WhichButton;
		document.EM.submit();
	}

</script>

<!--- Database Interface: Retrieve data to populate central form --->
<!--- Global marker information for the PTaxon table --->
<cfstoredproc procedure="s_web_GetTableMarkers" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=500>
	<cfprocresult name=Markers>
</cfstoredproc>
<!-- Get the TaxForm extesions that should be included in the page -->
<!-- First get the Database extensions that should be included in -->
<cfstoredproc procedure="s_web_GetExtensions" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype="cf_sql_varchar" value="TaxForm">
	<cfprocresult name=TaxFormExtensions>
</cfstoredproc>
<cfstoredproc procedure="s_web_GetExtensions" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype="cf_sql_varchar" value="External">
	<cfprocresult name=ExternalExtensions>
</cfstoredproc>
<!--- Information for the focussed potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneRef>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneNameAndCitation" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=NomRef>
</cfstoredproc>
<!--- Derive next higher rank --->
<cfstoredproc procedure="s_web_SuccRank" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#OnePT.RankId#>
	<cfprocresult name=NextRank>
</cfstoredproc>
<!--- Derive the complete path from this potential taxon to the root node --->
<cfstoredproc procedure="s_web_TraceTree" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=HigherTaxa>
</cfstoredproc>
<!--- Derive included taxa for this potential taxon --->
<cfstoredproc procedure="s_web_IncludedTaxa" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=IncludedTaxa>
</cfstoredproc>
<!--- Derive facts linked to the focussed potential taxon --->
<cfstoredproc procedure="s_web_PT2Facts" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Facts>
</cfstoredproc>
<!--- Get relations to other concepts --->
<cfstoredproc procedure="s_web_GetConceptRel" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=ConceptRelation>
</cfstoredproc>
<!--- Get the list of available fact categories --->	
<cfstoredproc procedure="s_web_GetFactCategory" datasource=#session.DSName#>
	<cfprocresult name=GetFacts>
</cfstoredproc>
<!--- Get the facts --->
<cfstoredproc procedure="s_web_PT2AllFactCategory" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=PT2AllFactCategory>
</cfstoredproc>
<!--- Information for the focussed name and nomStatus --->
<cfstoredproc procedure="s_web_OneNameAndNomStatuses" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocresult name=OneNameAndNomStatuses>
</cfstoredproc>
<!--- Get basionyms, homonyms, orthographic variants and misapplied names --->
<cfstoredproc procedure="s_web_Acc2Bas" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Basionym>
</cfstoredproc>
<cfstoredproc procedure="s_web_Acc2Hom" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Homonyms>
</cfstoredproc>
<cfstoredproc procedure="s_web_Acc2Var" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OrthVariants>
</cfstoredproc>
<cfstoredproc procedure="s_web_Acc2Misapplied" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=MisappliedNames>
</cfstoredproc>

<!--- Get synonyms if focussed taxon is accepted and vice versa --->
<cfif (#OnePT.StatusId# eq 1)> <!--- Accepted or provisional--->
	<cfstoredproc procedure="s_web_Acc2Syn" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=Synonyms>
	</cfstoredproc>
<cfelse>
	<cfstoredproc procedure="s_web_Syn2Acc" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=AcceptedTaxon>
	</cfstoredproc>
</cfif>

<cfif cgi.request_method is "post" and session.CallingPage eq "TaxForm">
	<cfif form.TheButton eq "Apply">	
		<cfif #form.HiddenMarkerString# neq "">
			 <cfstoredproc procedure="s_web_UpdateOrInsertMarker" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=500>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#form.HiddenMarkerString#>
			</cfstoredproc> 
		</cfif>
	</cfif>	
</cfif>

<!--- Delete session parameter for misapplied names --->
<cfset session.ForeignRef = 0>

<!--- Display central form for navigation through taxonomic tree --->

<table class="maintable">
	<!--- Section with information about this potential taxon --->  
	<tr bgcolor="#eeeea">
		<td><strong>Taxonym:</strong></td>
		<cfoutput>
			<td><b>#OnePT.FullNameCache#</b> sec. #OneRef.RefCache#</td>
                        <td>
			<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
                            &nbsp;
			<cfelse>
				<cfif (OnePT.StatusId eq 1)>
					<a href="Names/EditName.cfm?name=#URL.name#&Name2=-1&ref=#URL.ref#&temprank=#OnePT.RankId#"><img src="images/edit.gif" border="0" alt="Edit"></a>
				<cfelseif (OnePT.StatusId eq 2)>
					<a href="Names/EditSynonym.cfm?Name=#URL.Name#&Name2=#AcceptedTaxon.PTNameFk2#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempSynCat=2"><img src="images/edit.gif" border="0" alt="Edit"></a>
				<cfelseif (OnePT.StatusId eq 3)>
					<a href="Names/EditSynonym.cfm?Name=#URL.Name#&Name2=#AcceptedTaxon.PTNameFk2#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempSynCat=3"><img src="images/edit.gif" border="0" alt="Edit"></a>
				<cfelseif (OnePT.StatusId eq 4)>
					<a href="Names/EditSynonym.cfm?Name=#URL.Name#&Name2=#AcceptedTaxon.PTNameFk2#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempSynCat=4"><img src="images/edit.gif" border="0" alt="Edit"></a>
				</cfif>
			</cfif>
                        </td>
		</cfoutput>	
	</tr>

	<!--- Name phrase --->
	<tr bgcolor="#eeeee">
		<td><strong>Name phrase:</strong></td>
		<cfoutput>
			<cfif Len(Trim(OnePT.NamePhrase))eq 0>
                                <td>&nbsp;</td>
                                <td>
                                <cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
                                    &nbsp;
				<cfelse>
					
                                    <i><b><a href="#Application.EditorHome#Names/EditPTaxonNamePhrase.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2"><img src="images/edit.gif" border="0" alt="Edit"></a></b></i>
				</cfif>
                                </td>
			<cfelse>
				<cfif #Len("#OnePT.subPTaxonNotes#")# lt 85>
					<cfset PTNote = #OnePT.subPTaxonNotes#>
				<cfelse>
					<cfset PTNote = "#OnePT.subPTaxonNotes#...">
				</cfif>
                                <td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					#PTNote#
				<cfelse>
					<a href="#Application.EditorHome#Names/EditPTaxonNamePhrase.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2">#OnePT.NamePhrase#</a>
				</cfif>
                                </td>
                                <td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>

	<!--- Hybridformula and autonym have not nomenclatural refference--->
		<cfif #OnePT.HybridformulaFlag# neq 1 and (len(#OnePT.SpeciesEpi#) eq 0 or len(#OnePT.InfraSpeciesEpi#) eq 0 or #OnePT.SpeciesEpi# neq #OnePT.InfraSpeciesEpi#)> 
		<tr bgcolor="#eeeee">
			<td><strong>Nomencl. ref.</strong></td>
			<cfoutput>
				<td>
                                <cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! ---> <!--- rank higher than family? -> do not edit! --->
					&nbsp;
				<cfelseif Len(Trim(#OnePt.RefDetailId#)) gt 0>
					<cfif Len(Trim(#OnePt.FullNomRefCache#)) gt 0>
						<cfif #OnePt.DetailPreliminaryFlag# eq 1>
							<a href="#Application.EditorHome#Bib/EditNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OnePt.FullNomRefCache#</a>		
						<cfelse>
							<a href="#Application.EditorHome#Bib/UpdateNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OnePt.FullNomRefCache#</a>		
						</cfif>
					<cfelse>
						<cfif #OnePt.DetailPreliminaryFlag# eq 1>
							<a href="#Application.EditorHome#Bib/EditNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">??</a>		
						<cfelse>
							<a href="#Application.EditorHome#Bib/UpdateNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">??</a>		
						</cfif>
					</cfif>
				<cfelse>
					&nbsp;
				</cfif>
                                </td>
				<td>
                                <cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! ---> <!--- rank higher than family? -> do not edit! --->
					&nbsp;
				<cfelse>
					<cfif Len(Trim(#OnePt.RefDetailId# ))gt 0>
							<i><b><a href="#Application.EditorHome#Bib/DelNomRef.cfm?Name2=-1&Name=#URL.Name#&Ref=#URL.Ref#"><img src="images/del.gif" border="0" alt="Del"></a></b></i>
					<cfelse>	
						<cfif #OnePT.AuthorTeamFk# gte 0> 
							<i><a href="#Application.EditorHome#Bib/AddNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=3" class="addlink">Add</a></i>
						<cfelse>
                            <i><a href="##" onclick=openNomRefCheckWindow() class="addlink">Add</a></i>
						</cfif>
					</cfif>		
				</cfif>
                                </td>
			</cfoutput>  
		</tr>
		<cfset Header = 1>
		<cfloop query="OneNameAndNomStatuses">   
			<tr bgcolor="#eeeee">
				<td>
                                <cfif Header eq 1>
					<strong>Nomencl. status</strong>
					<cfset Header = 0>
				<cfelse>
					&nbsp;
				</cfif>
                                </td>
			<cfoutput>
				<td>
                                <cfif #OneNameAndNomStatuses.RecordCount# gt 0>
					
					<cfif Len(#OneNameAndNomStatuses.FullRefCache#)lt 60>
						<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#&nbsp;(fide #OneNameAndNomStatuses.FullRefCache#)</a>
					<cfelse>
						<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#&nbsp;(fide #OneNameAndNomStatuses.First60#...)</a>
					</cfif>
				<cfelse>
					&nbsp;
				</cfif>
                                </td>
				<td>
                                <cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! ---> <!--- rank higher than family? -> do not edit! --->
					&nbsp;
				<cfelse>
					<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
                                                <a href="#application.EditorHome#Names/DelNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#"><img src="images/del.gif" border="0" alt="Del"></a>
					</cfif>
				</cfif>
                                </td>
			</cfoutput>
			</tr>
		</cfloop>
		<tr bgcolor="#eeeee">
                    <td>
                    <cfif Header eq 1>
                        <strong>Nomencl. status</strong>
                    <cfelse>
                        &nbsp;
                    </cfif>
                    </td>
                    <td>
                <cfif Header eq 1>
			<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
				&nbsp;
			<cfelse>
				<cfoutput>
					<i><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></i>
				</cfoutput>
			</cfif>
		<cfelse>
			<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
				&nbsp;
			<cfelse>
				<cfoutput>
					<i><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></i>
				</cfoutput>
			</cfif>
		</cfif>
                    </td>
                    <td>&nbsp;</td>
                </tr>
	</cfif>
	<tr bgcolor="#eeeee">
		<td><strong>Rank:</strong></td>
		<cfoutput>
                    <td>#OnePT.Rank#</td>
		</cfoutput>
		<td>&nbsp;</td>
	</tr>

	<!--- Higher taxa and status section --->
	<!--- Higher taxa --->
	<cfif (#OnePT.StatusId# eq 1) >
		<tr bgcolor="#eeeee">
			<td valign=top><strong>Taxonomy:</strong></td>
			<td>
			<cfoutput>
				<cfset Space = "">
				<cfset HigherTaxonNameFk = 0>
				<cfif #HigherTaxa.recordcount# gt 1>
					<cfloop query="HigherTaxa">
						<cfif #HigherTaxa.PTNameFk# neq #URL.Name#>
							#Space#
							<cfset HigherTaxonNameFk = #HigherTaxa.PTNameFk#>
							<a href="#application.EditorHome#TaxForm.cfm?name=#HigherTaxa.PTNameFk#&ref=#HigherTaxa.PTRefFk#">#HigherTaxa.Rank#:&nbsp;#HigherTaxa.FullNameCache#</a>
								<cfset Space = Space & "&nbsp;&nbsp;"><br>
						</cfif>
					</cfloop>
				<cfelse>
					&nbsp;
				</cfif>
			</cfoutput>
			</td>		
			<td>
			<cfoutput>
				<cfif #HigherTaxa.recordcount# gt 1>
					<a href="#application.EditorHome#Search/SearchHigherTaxon.cfm?Name=#URL.Name#&Name1=#HigherTaxonNameFk#&Ref=#URL.Ref#" onMouseover="return overlib('As long as nomenclature rules allow it, you may choose another higher taxon to append this taxon to !');" onmouseout="return nd();"><img src="images/move.gif" border="0"></a>
				<cfelse>
					&nbsp;
				</cfif>
			</cfoutput>
			</td>
		</tr>
	</cfif>
	<!--- Status --->
	<tr bgcolor="#eeeee">
		<td><strong>Status:</strong></td>
		<cfoutput>
			<td>
                        <cfif (#OnePT.DoubtfulFlag# eq "d")>
				<cfif (#OnePT.StatusId# eq 1) > 
                                    #OnePT.Status# (preliminary
				<cfelse>
                                    doubtful #OnePT.Status#
				</cfif>
			<cfelse>
				#OnePT.Status#
			</cfif>
                        </td>
                        <td>
			<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
				&nbsp;
			<cfelse>
				<a href="Status/StatusMenu.cfm?Name=#URL.Name#&Ref=#URL.Ref#"><img src="images/edit.gif" border="0" alt="Alter the status"></a>
			</cfif>
                        </td>
		</cfoutput>
	</tr>	
 	<!--- Basionym --->
	<tr bgcolor="#eeeee">
		<td><strong>Basionym:</strong></td>
		<cfoutput>
			<cfif Basionym.recordcount eq 0> <!--- No basionym --->
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				<cfelse>
					<td>&nbsp;</td>
					<td><a href="Names/SelectBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&Relqualifier=1"><img src="images/add.gif" border="0" alt="Add"></a>
                                        </td>
				</cfif>
			<cfelse>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>#Basionym.FullNameCache#</td>
					<td>&nbsp;</td>
				<cfelseif Len(Trim(#Basionym.NameFk1#))gt 0 >
					<cfif Len(Trim(#Basionym.FullNameCache#))gt 0 >
						<td><a href="Names/RelName.cfm?Name2=#URL.Name#&Name=#Basionym.NameFk1#&Ref=#URL.Ref#">#Basionym.FullNameCache#</a></td>
					<cfelse>
						<td><a href="Names/RelName.cfm?Name2=#URL.Name#&Name=#Basionym.NameFk1#&Ref=#URL.Ref#">??</a></td>
					</cfif>
						<td><a href="Names/DelBasHomHybParent.cfm?Name2=#url.name#&Name=#Basionym.NameFk1#&Ref=#URL.Ref#"><img src="images/del.gif" border="0" alt="Del"></a></td>
				</cfif>
			</cfif>
		</cfoutput>
	</tr>
	<cfif (#OnePT.StatusId# eq 1) > 
		<!--- Synonyms --->
		<cfset Header = 1>
		<cfloop query="Synonyms">
			<tr bgcolor="#eeeee">
			<cfif Header eq 1>
				<td><strong>Synonym(s):</strong></td>
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>	
			</cfif>
			<cfoutput>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<cfif (#Synonyms.DoubtfulFlag# eq "d")>
						<td>#Synonyms.FullnameCache#&nbsp;[Doubtful #Synonyms.Status#]</td>
					<cfelse>
						<td>#Synonyms.FullnameCache#&nbsp;[#Synonyms.Status#]</td>
					</cfif>
					<td>&nbsp;</td>
				<cfelseif  Len(Trim(#Synonyms.PTNameFk1#))gt 0>
					<cfif  Len(Trim(#Synonyms.FullnameCache#))gt 0 or Len(Trim(#Synonyms.Status#))gt 0>
						<cfif (#Synonyms.DoubtfulFlag# eq "d")>
							<td><a href="TaxForm.cfm?name=#Synonyms.PTNameFk#&ref=#Synonyms.PTRefFk#">#Synonyms.FullnameCache#&nbsp;[doubtful #Synonyms.Status#]</a></td>
						<cfelse>
							<td><a href="TaxForm.cfm?name=#Synonyms.PTNameFk#&ref=#Synonyms.PTRefFk#">#Synonyms.FullnameCache#&nbsp;[#Synonyms.Status#]</a></td>
						</cfif>
					<cfelse>
						<cfif (#Synonyms.DoubtfulFlag# eq "d")>
							<td><a href="TaxForm.cfm?name=#Synonyms.PTNameFk#&ref=#Synonyms.PTRefFk#">??</a></td>
						<cfelse>
							<td><a href="TaxForm.cfm?name=#Synonyms.PTNameFk#&ref=#Synonyms.PTRefFk#">??</a></td>
						</cfif>
					</cfif>
					<td><i><a href="Names/DelSynonym.cfm?Name2=#URL.Name#&Name=#Synonyms.PTNameFk#&Ref=#URL.Ref#&TempStatus=#Synonyms.StatusId#"><img src="images/del.gif" border="0" alt="Del"></a></i></td>
				</cfif>
			</cfoutput>
			</tr>
		</cfloop>
		<cfif Header eq 1>
			<tr bgcolor="#eeeee">
				<td><strong>Synonym(s):</strong></td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<td align=""><i>
					<cfoutput><a href="Names/SelectSyOrIn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2" class="addlink">add synonym</a></cfoutput>		
					</i></td>
				</cfif>
				<td>&nbsp;</td>
			</tr>
		<cfelse>
		    <tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<td align=""><i>
					<cfoutput><a href="Names/SelectSyOrIn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2" class="addlink">add synonym</a></cfoutput>
					</i></td>
				</cfif>
				<td>&nbsp;</td>
			</tr>
		</cfif>
	</cfif> 
	<!--- Misapplied names --->
	<cfif (#OnePT.StatusId# eq 1) > 
		<cfset Header = 1>
		<cfloop query="MisappliedNames">
			<cfif Len(#MisappliedNames.RefCache#)lt 50>
				<cfset Sec = #MisappliedNames.RefCache#>
			<cfelse>
				<cfset Sec = #MisappliedNames.First50#&"...">
			</cfif>
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Misapplied name(s):</strong></td>
					<cfset Header = 0>
				<cfelse>
					<td>&nbsp;</td>	
				</cfif>
				<cfoutput>
					<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
						<td>#MisappliedNames.FullnameCache#
							&nbsp;sec. <a href="Bib/ShowMisappliedRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name1=#MisappliedNames.PTNameFk1#&Ref1=#MisappliedNames.RefId#">#Sec#</a></td>
						<td>&nbsp;</td>
					<cfelseif  Len(Trim(#MisappliedNames.PTNameFk1#))gt 0>
						<cfif Len(Trim(#MisappliedNames.FullnameCache#))gt 0>
							<td><a href="Names/RelMisapplied.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name1=#MisappliedNames.PTNameFk1#&Ref1=#MisappliedNames.RefId#&temprank=#MisappliedNames.RankFk#">#MisappliedNames.FullnameCache#</a>
						<cfelse>
							<td><a href="Names/RelMisapplied.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name1=#MisappliedNames.PTNameFk1#&Ref1=#MisappliedNames.RefId#&temprank=#MisappliedNames.RankFk#">??</a>
						</cfif>
							&nbsp;sec. <a href="Bib/ShowMisappliedRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name1=#MisappliedNames.PTNameFk1#&Ref1=#MisappliedNames.RefId#">#Sec#</a></td>
							<td><i><b><a href="Names/DelMisappliedName.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name1=#MisappliedNames.PTNameFk1#&Ref1=#MisappliedNames.PTRefFk1#"><img src="images/del.gif" border="0" alt="Del"> </a></b></i></td>						
					</cfif>
				</cfoutput>
			</tr>
		</cfloop>
		<cfif Header eq 1>
			<tr bgcolor="#eeeee">
				<td><strong>Misapplied name(s):</strong></td>
 				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse> 
					<td align=""><i>
						<cfoutput><a href="Names/SelectNameAndR.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=-99&Ref2=-99&MRHead=0" class="addlink">add misapplied name</a>
						</cfoutput>		
					</i></td>
 				</cfif> 
				<td>&nbsp;</td>
			</tr>
		<cfelse>
		    <tr bgcolor="#eeeee">
				<td>&nbsp;</td>
 				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse> 
					<td align=""><i>
						<cfoutput><a href="Names/SelectNameAndR.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=-99&Ref2=-99&MRHead=0" class="addlink">add misapplied name</a>
						</cfoutput>
					</i></td>
 				</cfif> 
				<td>&nbsp;</td>
			</tr>
		</cfif>
	</cfif>
	<!--- Homonyms --->
	<cfset Header = 1>
		<cfloop query="Homonyms">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Homonym(s):</strong></td>
					<cfset Header = 0>
				<cfelse>
					<td>&nbsp;</td>	
				</cfif>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<cfoutput>
						<td>#Homonyms.FullnameCache#</td>
						<td>&nbsp;</td>
					</cfoutput>
				<cfelseif Len(Trim(#Homonyms.NameFk1#))gt 0 >
					<cfoutput>
						<cfif Len(Trim(#Homonyms.FullNameCache#))gt 0>
							<td><a href="Names/RelName.cfm?Name2=#URL.Name#&Name=#Homonyms.NameFk1#&Ref=#URL.Ref#&TempRank=#Homonyms.RankId#">#Homonyms.FullnameCache#</a></td>
						<cfelse>
							<td><a href="Names/RelName.cfm?Name2=#URL.Name#&Name=#Homonyms.NameFk1#&Ref=#URL.Ref#&TempRank=#Homonyms.RankId#">??</a></td>
						</cfif>
						<td><a href="Names/DelBasHomHybParent.cfm?Name2=#url.name#&Name=#Homonyms.NameFk1#&Ref=#URL.Ref#"><img src="images/del.gif" border="0" alt="Del"></a></td>
					</cfoutput>
				</cfif>
			</tr>
		</cfloop>
		<cfif Header eq 1>
			<tr bgcolor="#eeeee">
				<td><strong>Homonym(s):</strong></td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<td align=""><i>
					<cfoutput><a href="Names/SelectBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&Relqualifier=2" class="addlink">add homonym</a></cfoutput>
					</i></td>
				</cfif>
				<td>&nbsp;</td>
			</tr>
		<cfelse>
		    <tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<td align=""><i>
					<cfoutput><a href="Names/SelectBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&Relqualifier=2" class="addlink">add homonym</a></cfoutput>
					</i></td>
				</cfif>
				<td>&nbsp;</td>
			</tr>
		</cfif>
	<!--- Orthographic variants --->
	<cfset Header = 1>
		<cfloop query="OrthVariants">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Orth. variant(s):</strong></td>
					<cfset Header = 0>
				<cfelse>
					<td>&nbsp;</td>	
				</cfif>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<cfoutput>
						<td>#OrthVariants.FullnameCache#</td>
						<td>&nbsp;</td>
					</cfoutput>
				<cfelseif Len(Trim(#OrthVariants.NameFk1#))gt 0 >
					<cfoutput>
						<cfif Len(Trim(#OrthVariants.FullNameCache#))gt 0>
							<td><a href="Names/RelName.cfm?Name2=#URL.Name#&Name=#OrthVariants.NameFk1#&Ref=#URL.Ref#&TempRank=#OrthVariants.RankId#">#OrthVariants.FullnameCache#</a></td>
						<cfelse>
							<td><a href="Names/RelName.cfm?Name2=#URL.Name#&Name=#OrthVariants.NameFk1#&Ref=#URL.Ref#&TempRank=#OrthVariantss.RankId#">??</a></td>
						</cfif>
						<td><a href="Names/DelBasHomHybParent.cfm?Name2=#url.name#&Name=#OrthVariants.NameFk1#&Ref=#URL.Ref#"><img src="images/del.gif" border="0" alt="Del"></a></td>
					</cfoutput>
				</cfif>
			</tr>
		</cfloop>
		<cfif Header eq 1>
			<tr bgcolor="#eeeee">
				<td><strong>Orth. variant(s):</strong></td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<td align=""><i>
					<cfoutput><a href="Names/SelectBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&Relqualifier=16" class="addlink">add orthographic variant</a></cfoutput>
					</i></td>
				</cfif>
				<td>&nbsp;</td>
			</tr>
		<cfelse>
		    <tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<td align=""><i>
					<cfoutput><a href="Names/SelectBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&Relqualifier=16" class="addlink">add orthographic variant</a></cfoutput>
					</i></td>
				</cfif>
				<td>&nbsp;</td>
			</tr>
		</cfif>
	<!--- Included taxa section --->
	<!-- Only allow to include taxa if it is an accepted taxon and the rank is not below the maximum rank specified in
		 project specific settings in application.cfm -->
	<cfif (OnePt.StatusId eq 1)  and (OnePt.RankId lt session.MaxInclusionRank)> 
		<cfset Header = 1>
		<cfloop query="IncludedTaxa">
			<!-- Select a different image to show depending on the marker -->
			<cfset markerimage="">

			<cfif (#IncludedTaxa.DoubtfulFlag# neq 'i')>
				<tr bgcolor="#eeeee">
					<cfif Header eq 1>
						<td><strong>Included taxa:</strong></td>       
						<cfset Header = 0>
					<cfelse> 
						<td>&nbsp;</td>
					</cfif>
					<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
						<cfoutput>
							<td><a href="TaxForm.cfm?name=#IncludedTaxa.PTNameFk1#&ref=#IncludedTaxa.PTRefFk1#">#IncludedTaxa.RankAbbrev#:&nbsp;#IncludedTaxa.FullNameCache#</a> #markerimage#</td>
							<td>&nbsp;</td>
						</cfoutput>
					<cfelse>
						<cfoutput>
							<td><a href="TaxForm.cfm?name=#IncludedTaxa.PTNameFk1#&ref=#IncludedTaxa.PTRefFk1#">#IncludedTaxa.RankAbbrev#:&nbsp;#IncludedTaxa.FullNameCache#</a> #markerimage#</td>
							<td><a href="Status/InactivateConf.cfm?Name=#IncludedTaxa.PTNameFk1#&Ref=#IncludedTaxa.PTRefFk1#&AlterStatus=0"><img src="images/del.gif" border="0" alt="Del"></a></td>
						</cfoutput>
					</cfif>
				</tr>
			</cfif>
		</cfloop>
		<tr bgcolor="#eeeee">
			<cfif Header is 1>
				<td><strong>Included taxa:</strong></td>
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<cfif OnePT.RankId lt session.MinimumEditableRank><!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfoutput>
					<td align=""><i><a href="Names/SelectSyOrIn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=1" class="addlink">add included taxon</a></i></td>
				</cfoutput>
			</cfif>
				<td>&nbsp;</td>
		</tr>
	</cfif>
	<!---concept relation--->
	<cfif (#OnePT.StatusId# eq 1) > 
		<cfset Header = 1>
		<cfloop query="ConceptRelation">
			<cfif Len(#ConceptRelation.FullConceptName#)lt 85>
				<cfset FullName = #ConceptRelation.FullConceptName#>
			<cfelse>
				<cfset FullName = #ConceptRelation.First85#&"...">
			</cfif>
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Concept relation:</strong></td>       
					<cfset Header = 0>
				<cfelse> 
					<td>&nbsp;</td>
				</cfif>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<cfoutput>
						<td><b><i>#ConceptRelation.RelPTQualifier#</i></b>
						#FullName# </td>
						<td>&nbsp;</td>
					</cfoutput>
				<cfelse>
					<cfoutput>
						<cfif ConceptRelation.doubtful eq 0>
							<td><a href="Concepts/EditRelation.cfm?name=#url.Name#&ref=#url.Ref#&name2=#ConceptRelation.PTNameFk#&Ref2=#ConceptRelation.PTRefFk#&TRelCat=#ConceptRelation.RelQualifierFk#"><b><i>#ConceptRelation.RelPTQualifier#</i></b>
						</cfif>
						<cfif ConceptRelation.doubtful eq 1>
							<cfset RelQualifierFkWithDoubtful = #ConceptRelation.RelQualifierFk# -32>
							<td><a href="Concepts/EditRelation.cfm?name=#url.Name#&ref=#url.Ref#&name2=#ConceptRelation.PTNameFk#&Ref2=#ConceptRelation.PTRefFk#&TRelCat=#RelQualifierFkWithDoubtful#"><b><i>#ConceptRelation.RelPTQualifier#</i></b>
						</cfif>
						#FullName# </td></a>
						<td><a href="Concepts/DelRelation.cfm?Name=#url.name#&Ref=#URL.Ref#&name2=#ConceptRelation.PTNameFk#&Ref2=#ConceptRelation.PTRefFk#&TRelCat=#ConceptRelation.RelQualifierFk#"><img src="images/del.gif" border="0" alt="Del"></a></td>
					</cfoutput>
				</cfif>
			</tr>
		</cfloop>
		<tr bgcolor="#eeeee">
			<cfif Header is 1>
				<td><strong>Concept relation:</strong></td>
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfoutput>
					<td align=""><i><a href="Concepts/SelectRelNameAndRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=-99&Ref2=-99&MRHead=1" class="addlink">add concept relation </a></i></td>
				</cfoutput>
			</cfif>
			<td>&nbsp;</td>
		</tr>
	</cfif>
	<cfif (#OnePT.StatusId# gt 1) > 
 		<!--- Focussed taxon is a synonym, misapplied name, homonym etc. --->	
		<cfset Header = 1>
		<cfloop query="AcceptedTaxon">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Accepted taxonym:</strong></td>
					<cfset Header = 0>
				<cfelse> 
					<td>&nbsp;</td>
				</cfif>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
				<cfelse>
					<cfoutput>
					<cfif Len(Trim(#AcceptedTaxon.PTNameFk#))gt 0>	
						<cfif Len(Trim(#AcceptedTaxon.FullnameCache#))gt 0>	
							<td><a href="TaxForm.cfm?name=#AcceptedTaxon.PTNameFk#&ref=#AcceptedTaxon.PTRefFk#">#AcceptedTaxon.FullnameCache#</a></td>
						<cfelse>
							<td><a href="TaxForm.cfm?name=#AcceptedTaxon.PTNameFk#&ref=#AcceptedTaxon.PTRefFk#">??</a></td>
						</cfif>
					</cfif>
					</cfoutput>
				</cfif>
				<td>&nbsp;</td>
			</tr>	
		</cfloop>
	</cfif>
	<!--- PTaxon notes (visible for all status values) --->
	<tr bgcolor="#eeeee">
		<td><strong>Taxon notes:</strong></td>
		<cfoutput>
			<cfif Len(Trim(OnePT.Notes))eq 0>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				<cfelse>
					<td>&nbsp;</td>
					<td><a href="#Application.EditorHome#Names/EditPTaxonNotes.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2"><img src="images/edit.gif" border="0" alt="Edit"></a></td>
				</cfif>
			<cfelse>
				<cfif #Len("#OnePT.subPTaxonNotes#")# lt 85>
					<cfset PTNote = #OnePT.subPTaxonNotes#>
				<cfelse>
					<cfset PTNote = "#OnePT.subPTaxonNotes#...">
				</cfif>
				<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
					<td>#PTNote#</td>
					<td>&nbsp;</td>
				<cfelse>
					<td><a href="#Application.EditorHome#Names/EditPTaxonNotes.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempStatus=2">#PTNote#</a></td>
					<td>&nbsp;</td>
				</cfif>
			</cfif>
		</cfoutput>
	</tr>
		<!--- split interface table ... --->
		<tr></tr>
		<tr></tr>
		<!--- TaxForm extensions--->	
		<cfloop query="TaxFormExtensions">
			<cfif TaxFormExtensions.OnlyForAccepted eq 1 and OnePt.StatusId neq 1>
			<cfelse>
			<tr bgcolor="#eeeee">
				<cfoutput>
				<td><strong>#TaxFormExtensions.ExtensionLabel#</strong></td>
				<td>&nbsp;</td>
				
					<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
						<td>&nbsp;</td>
					<cfelse>
						<td>
							<a href="#Application.EditorHome#Extensions/#TaxFormExtensions.ExtensionTarget#?Name=#URL.Name#&Ref=#URL.Ref#"><img src="images/edit.gif" border="0" alt="Edit"></a>
						</td>
					</cfif>
				</cfoutput>
			</tr>
			
			</cfif>
		</cfloop>
		<!--- External extensions--->	
		<cfloop query="ExternalExtensions">
			<cfif ExternalExtensions.OnlyForAccepted eq 1 and OnePt.StatusId neq 1>
			<cfelse>
			<tr bgcolor="#eeeee">
				<cfoutput>
				<td><strong>#ExternalExtensions.ExtensionLabel#</strong></td>
				<td>&nbsp;</td>
				
					<cfif OnePT.RankId lt session.MinimumEditableRank> <!--- rank higher than family? -> do not edit! --->
						<td>&nbsp;</td>
					<cfelse>
						<td>
							<a href="#ExternalExtensions.ExtensionTarget#?Name=#URL.Name#&Ref=#URL.Ref#" target="_blank" class="addlink"><i>go</i></a>
						</td>
					</cfif>
				</cfoutput>
			</tr>
			
			</cfif>
		</cfloop>
		<!--- Description only for genera and below --->
		<cfif (OnePT.RankId gte 40) and (OnePt.StatusId eq 1)>
			<cfoutput>
				<cfloop query="GetFacts" startrow="1" endrow="1">
					<cfstoredproc procedure="s_web_CountFact" datasource=#session.DSName#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
						<cfprocresult name=FactNumber>
					</cfstoredproc>
					<cfstoredproc procedure="s_web_GetMaxFactNumber" datasource=#session.DSName#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
						<cfprocresult name=MaxFactNumber>
					</cfstoredproc>
					<cfif (MaxFactNumber gt 0)>
						<tr bgcolor="##eeeee">
						<cfset lenrest = #Len("#GetFacts.FactCategory#")# - 1>
						<td><strong>#Left("#UCase("#GetFacts.FactCategory#")#","1")##Right("#GetFacts.FactCategory#","#lenrest#")#</strong></td>
						<cfstoredproc procedure="s_web_PT2Facts2" datasource=#session.DSName#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
							<cfprocresult name=Facts2>
						</cfstoredproc>
						<cfif #Facts2.recordcount# eq 0>
							<td><a href="#Application.EditorHome#Facts/AddFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#FactCategoryID#&TempRefCat=1" class="addlink"><i>add #LCase("#Left("#GetFacts.FactCategory#",1)#")##Right("#GetFacts.FactCategory#","#lenrest#")#</i></a></td>
							<td>&nbsp;</td>
						<cfelse>
							<cfset i = 0>
							<cfloop query="Facts2">
								<cfif #Len("#Fact#")# lt 85>
									<cfset Fact2 = #Fact#>
								<cfelse>
									<cfset Fact2 = "#Fact#...">
								</cfif>
								<td>
									<cfstoredproc procedure="s_web_OneFactAndCitation" datasource=#session.DSName#>
										<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#FactId#>
										<cfprocresult name=FactCit>
									</cfstoredproc>
									<cfif  Len(Trim(#Facts2.FactId#))gt 0>
										<cfif  Len(Trim(#Facts2.Fact#))gt 0>
											<cfif #FactCit.RefCategoryId# gt 0>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#">#Fact2#</a>
											<cfelse>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#">#Fact2#</a>
											</cfif>
										<cfelse>
											<cfif #FactCit.RefCategoryId# gt 0>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#">??</a>
											<cfelse>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#">??</a>
											</cfif>
										</cfif>
								</td>
								<td>
										<cfif #FactCit.RefCategoryId# gt 0>
											<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><img src="images/del.gif" border="0" alt="Del"></a>
										<cfelse>
											<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#"><img src="images/del.gif" border="0" alt="Del"></a>
										</cfif>
									</td></cfif>
								
							</tr>
								<cfset i = i + 1>
								<cfif #FactNumber.Number# gt #i# or #MaxFactNumber.MaxFactNumber# gt #i#>
									<tr bgcolor="##eeeee">	
										<td>&nbsp;</td>
								</cfif>
							</cfloop>
			
							<cfif #MaxFactNumber.MaxFactNumber# gt #FactNumber.Number#>
								<td><a href="#Application.EditorHome#Facts/AddFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1" class="addlink"><i>add #Left("#LCase("#GetFacts.FactCategory#")#","1")##Right("#GetFacts.FactCategory#","#lenrest#")#</i></a></td>
								<td>&nbsp;</td>
							</cfif>
						</cfif>
						</tr>	
					</cfif>	
				</cfloop>
			</cfoutput>
		</cfif>

		<!--- Facts for species and below --->
		<cfif (OnePT.RankId gte 60) and (OnePt.StatusId eq 1)>
			<cfoutput>
				<cfloop query="GetFacts" startrow="2">
					<cfstoredproc procedure="s_web_CountFact" datasource=#session.DSName#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
						<cfprocresult name=FactNumber>
					</cfstoredproc>
					<cfstoredproc procedure="s_web_GetMaxFactNumber" datasource=#session.DSName#>
						<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
						<cfprocresult name=MaxFactNumber>
					</cfstoredproc>	
					<cfif (MaxFactNumber gt 0)>
						<tr bgcolor="##eeeee">
						<cfset lenrest = #Len("#GetFacts.FactCategory#")# - 1>
						<td><strong>#Left("#UCase("#GetFacts.FactCategory#")#","1")##Right("#GetFacts.FactCategory#","#lenrest#")#</strong></td>
						<cfstoredproc procedure="s_web_PT2Facts2" datasource=#session.DSName#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#FactCategoryID#>
							<cfprocresult name=Facts2>
						</cfstoredproc>
						<cfif #Facts2.recordcount# eq 0>
							<td><a href="#Application.EditorHome#Facts/AddFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#FactCategoryID#&TempRefCat=1" class="addlink"><i>add #Left("#LCase("#GetFacts.FactCategory#")#","1")##Right("#LCase("#GetFacts.FactCategory#")#","#lenrest#")#</i></a></td>
							<td>&nbsp;</td>
						<cfelse>
							<cfset i = 0>
							<cfloop query="Facts2">
								<cfif #Len("#Fact#")# lt 85>
									<cfset Fact2 = #Fact#>
								<cfelse>
									<cfset Fact2 = "#Fact#...">
								</cfif>
								<td>
									<cfstoredproc procedure="s_web_OneFactAndCitation" datasource=#session.DSName#>
										<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#FactId#>
										<cfprocresult name=FactCit>
									</cfstoredproc>
									<cfif  Len(Trim(#Facts2.FactId#))gt 0>
										<cfif  Len(Trim(#Facts2.Fact#))gt 0>
											<cfif #FactCit.RefCategoryId# gt 0>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#">#Fact2#</a>
											<cfelse>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#">#Fact2#</a>
											</cfif>
										<cfelse>
											<cfif #FactCit.RefCategoryId# gt 0>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#">??</a>
											<cfelse>
												<a href="#Application.EditorHome#Facts/EditFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#">??</a>
											</cfif>
										</cfif>	
								</td>
								<td>
									<cfif #FactCit.RefCategoryId# gt 0>
										<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=#FactCit.RefCategoryId#&FactId=#FactId#"><img src="images/del.gif" border="0" alt="Del"></a>
									<cfelse>
										<a href="#Application.EditorHome#Facts/DelFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1&FactId=#FactId#"><img src="images/del.gif" border="0" alt="Del"></a>
									</cfif>
								</td></cfif>
								
							</tr>			
								<cfset i = i + 1>
								<cfif #FactNumber.Number# gt #i# or #MaxFactNumber.MaxFactNumber# gt #i#>
									<tr bgcolor="##eeeee">	
									<td>&nbsp;</td>
								</cfif>	
							</cfloop>
							<cfif #MaxFactNumber.MaxFactNumber# gt #FactNumber.Number#>
								<td><a href="#Application.EditorHome#Facts/AddFact.cfm?Name=#URL.Name#&Ref=#URL.Ref#&FactCategory=#Facts2.FactCategoryfk#&TempRefCat=1" class="addlink"><i>add #Left("#LCase("#GetFacts.FactCategory#")#","1")##Right("#GetFacts.FactCategory#","#lenrest#")#</i></a></td>
								<td>&nbsp;</td>
							</cfif>
						</cfif>
						</tr>
					</cfif>
				</cfloop>
			</cfoutput>
		</cfif> 
		

	<tr></tr>
	<tr></tr>
<!--- Marker section (visible for all status values) --->
<!--- New table for markers ... --->

	<cfoutput>
		<cfset FieldLength = (480 / #Markers.RecordCount#)>				
	</cfoutput>
	<tr bgcolor= "#eeeee">
		<td><strong>Marker:</strong></td>
		<td colspan=2>
			<table align="center">
				<tr>
					<cfoutput>
					<cfloop query="Markers">
						<td  align="center" width=#FieldLength#>#Markers.Marker#</td>
					</cfloop>
					</cfoutput>
				</tr>
			</table>
		</td>
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<input type="hidden" name="HiddenMarkerString">
		<cfset i = 0>	
		<tr bgcolor= "#eeeee">
			<td>
				<input type="button" name="Apply" value="Set Markers" onClick="ButtonAction('Apply')">
			</td>
			<td colspan=2>
				<table align="center">
					<tr>
					<cfoutput>
					<cfloop query="Markers">
						<!--- get Marker info for this Ptaxon--->
						<cfstoredproc procedure="s_web_MarkerExists" datasource=#session.DSName#>
							<cfprocparam type="in" cfsqltype=cf_sql_integer value=500>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
							<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
							<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#Markers.MarkerCategoryFk#>
							<cfprocresult name=MarkerExists>
						</cfstoredproc>
						<td  align="center" width=#FieldLength#>						
							<input type="checkbox" name="PTMarker" <cfif #MarkerExists.Yes# neq 0> checked </cfif> onClick="SetMarkerString()"> 
						</td>
						<cfset i = i + 1>
					</cfloop>
					</cfoutput>
					</tr>
				</table>
			</td>
		</tr>
	</form>
	<tr></tr>
	<tr></tr>
</table>

<cfinclude template="template_down.cfm">